openSUSE 10 Security Update : cyrus-sasl (cyrus-sasl-6249)

High Nessus Plugin ID 38946

Synopsis

The remote openSUSE host is missing a security update.

Description

This update of cyrus-sasl improves the output of function sasl_encode64() by appending a 0 for string termination. The impact depends on the application that uses sasl_encode64(). (CVE-2009-0688)

Solution

Update the affected cyrus-sasl packages.

Plugin Details

Severity: High

ID: 38946

File Name: suse_cyrus-sasl-6249.nasl

Version: Revision: 1.8

Type: local

Agent: unix

Published: 2009/05/28

Updated: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:cyrus-sasl, p-cpe:/a:novell:opensuse:cyrus-sasl-32bit, p-cpe:/a:novell:opensuse:cyrus-sasl-crammd5, p-cpe:/a:novell:opensuse:cyrus-sasl-crammd5-32bit, p-cpe:/a:novell:opensuse:cyrus-sasl-devel, p-cpe:/a:novell:opensuse:cyrus-sasl-devel-32bit, p-cpe:/a:novell:opensuse:cyrus-sasl-digestmd5, p-cpe:/a:novell:opensuse:cyrus-sasl-digestmd5-32bit, p-cpe:/a:novell:opensuse:cyrus-sasl-gssapi, p-cpe:/a:novell:opensuse:cyrus-sasl-gssapi-32bit, p-cpe:/a:novell:opensuse:cyrus-sasl-otp, p-cpe:/a:novell:opensuse:cyrus-sasl-otp-32bit, p-cpe:/a:novell:opensuse:cyrus-sasl-plain, p-cpe:/a:novell:opensuse:cyrus-sasl-plain-32bit, cpe:/o:novell:opensuse:10.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2009/05/14

Reference Information

CVE: CVE-2009-0688

CWE: 119